Subject: [lamps] I-D Action: draft-ietf-lamps-cmp-updates-07.txt

From: [email-masked]
Date: Fri, 22 Jan 2021 05:30:30 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Limited Additional Mechanisms for PKIX and SMIME WG of the IETF.

        Title           : Certificate Management Protocol (CMP) Updates
        Authors         : Hendrik Brockhaus
                          David von Oheimb
	Filename        : draft-ietf-lamps-cmp-updates-07.txt
	Pages           : 53
	Date            : 2021-01-22

Abstract:
   This document contains a set of updates to the syntax and transport
   of Certificate Management Protocol (CMP) version 2.  This document
   updates RFC 4210 and RFC 6712.

   The aspects of CMP updated in this document are using EnvelopedData
   instead of EncryptedValue, adding new general message types, defining
   extended key usages to identify certificates of CMP endpoints on
   certification and registration authorities, and adding an HTTP URI
   discovery mechanism and extending the URI structure.

   To properly differentiate the support of EnvelopedData instead of
   EncryptedValue, the CMP version 3 is introduced in case a transaction
   is supposed to use EnvelopedData.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-lamps-cmp-updates/

There is also an HTML version available at:
https://www.ietf.org/archive/id/draft-ietf-lamps-cmp-updates-07.html

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-lamps-cmp-updates-07

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: "Brockhaus, Hendrik" <[email-masked]>
Date: Fri, 22 Jan 2021 13:33:32 +0000

I just uploaded a new version of CMP Updates. I covers the results from IETF109 and discussion on the mailing list.
Any Feedback and improvements are welcome.

Hendrik

Theses are the thing that I changed:
   *  Added David von Oheimb as co-author
   *  Changed to XML V3
   *  Added Section 2.3 to enable a CMP protocol version number 3 in the
      PKIHeader for cases where EnvelopedData is to be used (see thread
      "Mail regarding draft-ietf-lamps-cmp-updates").
   *  Added Section 2.4 to refer to [I-D.ietf-lamps-crmf-update-algs]
      for the update of id-PasswordBasedMac for PKI message protection
      using passwords or shared secrets.
   *  Updated Section 2.6 to introduce the protocol version number 3 to
      properly indicate support of EnvelopedData instead of
      EncryptedValue in case a transaction requires use of EnvelopedData
      (see thread "Mail regarding draft-ietf-lamps-cmp-updates").
   *  Update Section 2.14 to make the minimal changes to the respective
      section in CMP more explicit.
   *  Added Sections 2.15 and 2.16 to address the new cmp2021 protocol
      version in Section 7 Version Negotiation.
   *  Updated Section 2.17 to add new OIDs for id-regCtrl-algId and id-
      regCtrl-rsaKeyLen for registration at IANA.
   *  Added Section 2.20 to update the general rules of interpretation
      in Appendix D.1 regarding the new cmp2021 version.
   *  Added Section 2.21 to update the Algorithm Use Profile in
      Appendix D.2 with the reference to the new CMP Algorithms document
      as decided at IETF 108.
   *  Updates Section 3.1 to delete the description of a discovery
      mechanism as decided at IETF 108.
   *  Various changes and corrections in wording.

> -----Ursprüngliche Nachricht-----
> Von: Spasm <[email-masked]> Im Auftrag von internet-
> [email-masked]
> 
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatat
> racker.ietf.org%2Fdoc%2Fdraft-ietf-lamps-cmp-
> updates%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7
> C48dfc91868d84ea9d8ab08d8bed9ebc1%7C38ae3bcd95794fd4addab42e1495
> d55a%7C1%7C0%7C637469190483645264%7CUnknown%7CTWFpbGZsb3d8ey
> JWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%
> 7C1000&amp;sdata=HnDyIpStC56FJ3Eab2LLjCgCk%2BSlJrL7a2WP6oE87n0%3D
> &amp;reserved=0
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww
> .ietf.org%2Farchive%2Fid%2Fdraft-ietf-lamps-cmp-updates-
> 07.html&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7C48d
> fc91868d84ea9d8ab08d8bed9ebc1%7C38ae3bcd95794fd4addab42e1495d55a
> %7C1%7C0%7C637469190483645264%7CUnknown%7CTWFpbGZsb3d8eyJWIj
> oiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1
> 000&amp;sdata=YMgnV8wNnwSu5yfoxz4RKlndZmw%2BJ9BpTBiEY0Z1Bjk%3
> D&amp;reserved=0
> 
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww
> .ietf.org%2Frfcdiff%3Furl2%3Ddraft-ietf-lamps-cmp-updates-
> 07&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7C48dfc918
> 68d84ea9d8ab08d8bed9ebc1%7C38ae3bcd95794fd4addab42e1495d55a%7C1
> %7C0%7C637469190483645264%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC
> 4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&
> amp;sdata=raUCTzwJ%2Fh2aM0dM9oAjvA2vIsbIhFpgg6AiOExzbtI%3D&amp;
> reserved=0
> 
> 
> https://eur01.safelinks.protection.outlook.com/?url=ftp%3A%2F%2Fftp.ietf.
> org%2Finternet-
> drafts%2F&amp;data=04%7C01%7Chendrik.brockhaus%40siemens.com%7C4
> 8dfc91868d84ea9d8ab08d8bed9ebc1%7C38ae3bcd95794fd4addab42e1495d5
> 5a%7C1%7C0%7C637469190483645264%7CUnknown%7CTWFpbGZsb3d8eyJ
> WIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%
> 7C1000&amp;sdata=JgDjsJPjO0iusca5dzgyd8pvbnu8mHuIobyuYdEATls%3D&
> amp;reserved=0
> 
> 
> _______________________________________________
> Spasm mailing list
> [email-masked]
> https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww
> .ietf.org%2Fmailman%2Flistinfo%2Fspasm&amp;data=04%7C01%7Chendrik.
> brockhaus%40siemens.com%7C48dfc91868d84ea9d8ab08d8bed9ebc1%7C38
> ae3bcd95794fd4addab42e1495d55a%7C1%7C0%7C637469190483645264%7CU
> nknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI
> 6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sdata=vKzfebQmwrM1yNNtSdP
> Qzuu1mTOpeDLqjzqGmEg3teA%3D&amp;reserved=0